View Issue Details

IDProjectCategoryView StatusLast Update
0000778SymmetricDSBugpublic2014-02-02 20:52
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.0.10 
Target Version3.1.2Fixed in Version3.1.2 
Summary0000778: If database user doesn't have permission to drop trigger, extra trigger_hist rows get created and the old are not deactivated
DescriptionIf database user doesn't have permission to drop trigger, extra trigger_hist rows get created and the old are not deactivated.

16 15:29:54,965 INFO [source1] [ConfigurationChangedDataRouter] [source1-job-17] About to syncTriggers because new configuration came through the data router
2012-08-16 15:29:55,751 WARN [gui] [PostgreSqlSymmetricDialect] [qtp986448521-34] Tried to remove trigger using: drop trigger SYM_ON_I_FOR_TR_MSTRDT_SPR_PLNT on masterdata.super_plant and failed because: ERROR: must be owner of relation super_plant
2012-08-16 15:29:55,860 INFO [gui] [PostgreSqlSymmetricDialect] [qtp986448521-34] Creating SYM_ON_I_FOR_TR_MSTRDT_SPR_PLNT trigger for masterdata.super_plant
2012-08-16 15:29:55,878 ERROR [gui] [PostgreSqlSymmetricDialect] [qtp986448521-34] Failed to create post trigger: create trigger SYM_ON_I_FOR_TR_MSTRDT_SPR_PLNT after insert on "masterdata"."super_plant" for each row execute procedure "masterdata".fSYM_ON_I_FOR_TR_MSTRDT_SPR_PLNT();
2012-08-16 15:29:55,884 ERROR [gui] [TriggerRouterService] [qtp986448521-34] Failed to create triggers for masterdata.super_plant
org.jumpmind.db.sql.SqlException: ERROR: trigger "sym_on_i_for_tr_mstrdt_spr_plnt" for relation "super_plant" already exists
    at org.jumpmind.db.sql.AbstractSqlTemplate.translate(AbstractSqlTemplate.java:260)
    at org.jumpmind.db.sql.AbstractSqlTemplate.translate(AbstractSqlTemplate.java:251)
    at org.jumpmind.db.sql.JdbcSqlTransaction.executeCallback(JdbcSqlTransaction.java:278)
    at org.jumpmind.db.sql.JdbcSqlTransaction.execute(JdbcSqlTransaction.java:208)
    at org.jumpmind.symmetric.db.AbstractSymmetricDialect.createTrigger(AbstractSymmetricDialect.java:279)
    at org.jumpmind.symmetric.service.impl.TriggerRouterService.rebuildTriggerIfNecessary(TriggerRouterService.java:1131)
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master c0c0790e

2012-08-19 14:24:40

chenson

Details Diff
0000778: If database user doesn't have permission to drop trigger, extra trigger_hist rows get created and the old are not deactivated
0000778
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File

Issue History

Date Modified Username Field Change
2012-08-19 13:05 chenson New Issue
2012-08-19 13:06 chenson Product Version => 3.0.10
2012-08-19 13:06 chenson Target Version => 3.1.2
2012-08-19 14:24 chenson Status new => resolved
2012-08-19 14:24 chenson Fixed in Version => 3.1.2
2012-08-19 14:24 chenson Resolution open => fixed
2012-08-19 14:24 chenson Assigned To => chenson
2012-08-22 15:49 chenson Status resolved => closed
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6204
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master c0c0790e